## r-cran-spacetime 1.2

=== DESCRIPTION ===
Package: spacetime
Version: 1.2-8
Title: Classes and Methods for Spatio-Temporal Data
Authors@R: c(person("Edzer",  "Pebesma", role = c("aut", "cre"), email = "edzer.pebesma@uni-muenster.de", comment = c(ORCID = "0000-0001-8049-7069")),
	person("Benedikt", "Graeler", role = "ctb"),
	person("Tom", "Gottfried", role = "ctb"),
	person("Robert J.", "Hijmans", role = "ctb"))
Depends: R (>= 3.0.0)
Imports: graphics, utils, stats, methods, lattice, sp (>= 1.1-0), zoo
        (>= 1.7-9), xts (>= 0.8-8), intervals
Suggests: adehabitatLT, cshapes (>= 2.0), foreign, gstat (>= 1.0-16),
        maps, mapdata, maptools, plm, raster, RColorBrewer, rgdal,
        rgeos, rmarkdown, RPostgreSQL, knitr, googleVis, ISOcodes,
        markdown, sf, sftime
LazyData: no
Description: Classes and methods for spatio-temporal data, including space-time regular lattices, sparse lattices, irregular data, and trajectories; utility functions for plotting data as map sequences (lattice or animation) or multiple time series; methods for spatial and temporal selection and subsetting, as well as for spatial/temporal/spatio-temporal matching or aggregation, retrieving coordinates, print, summary, etc.
License: GPL (>= 2)
URL: https://github.com/edzer/spacetime
BugReports: https://github.com/edzer/spacetime/issues
Encoding: UTF-8
VignetteBuilder: knitr
Collate: Class-xts.R Class-ST.R Class-STFDF.R Class-STSDF.R
        Class-STIDF.R Class-STTDF.R interval.R endtime.R ST-methods.R
        STFDF-methods.R STSDF-methods.R STIDF-methods.R STTDF-methods.R
        apply.R coerce.R stconstruct.R plot.R stplot.R timematch.R
        over.R aggregate.R eof.R mnf.R bind.R na.R raster.R tgrass.R
        stinteraction.R
NeedsCompilation: no
Packaged: 2022-06-15 09:51:14 UTC; edzer
Author: Edzer Pebesma [aut, cre] (<https://orcid.org/0000-0001-8049-7069>),
  Benedikt Graeler [ctb],
  Tom Gottfried [ctb],
  Robert J. Hijmans [ctb]
Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
Repository: CRAN
Date/Publication: 2022-06-17 23:50:06 UTC

## r-cran-spacetime 1.2-2+dfsg

=== debian/changelog ===
r-cran-spacetime (1.2-2+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #931683)

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jul 2019 11:24:08 +0200

=== debian/control ===
Source: r-cran-spacetime
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-r,
               r-base-dev,
               r-cran-lattice,
               r-cran-sp,
               r-cran-zoo,
               r-cran-xts,
               r-cran-intervals
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spacetime
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spacetime.git
Homepage: https://cran.r-project.org/package=spacetime

Package: r-cran-spacetime
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R classes and methods for spatio-temporal data
 Classes and methods for spatio-temporal data, including space-time
 regular lattices, sparse lattices, irregular data, and trajectories;
 utility functions for plotting data as map sequences (lattice or
 animation) or multiple time series; methods for spatial and temporal
 selection and subsetting, as well as for spatial/temporal/spatio-
 temporal matching or aggregation, retrieving coordinates, print,
 summary, etc.

## r-cran-spacetime 1.2-3+dfsg

=== debian/changelog ===
r-cran-spacetime (1.2-3+dfsg-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 19:35:17 +0000

r-cran-spacetime (1.2-3+dfsg-2) unstable; urgency=medium

  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 18 May 2020 08:47:08 +0200

r-cran-spacetime (1.2-3+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.
  * Skip test using rgeos which is not packaged

 -- Andreas Tille <tille@debian.org>  Fri, 24 Jan 2020 12:03:37 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-lattice,
@@ -12,10 +12,11 @@
                r-cran-zoo,
                r-cran-xts,
                r-cran-intervals
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spacetime
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spacetime.git
 Homepage: https://cran.r-project.org/package=spacetime
+Rules-Requires-Root: no
 
 Package: r-cran-spacetime
 Architecture: all

## r-cran-spacetime 1.2-4+dfsg

=== debian/changelog ===
r-cran-spacetime (1.2-4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 26 Jan 2021 16:34:05 +0530

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-lattice,
@@ -12,7 +12,7 @@
                r-cran-zoo,
                r-cran-xts,
                r-cran-intervals
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spacetime
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spacetime.git
 Homepage: https://cran.r-project.org/package=spacetime

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-raster, r-cran-maps, r-cran-maptools, r-cran-plm, r-cran-rgdal, r-cran-spdata
Restrictions: allow-stderr

## r-cran-spacetime 1.2-6+dfsg

=== debian/changelog ===
r-cran-spacetime (1.2-6+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.2-6+dfsg

 -- Nilesh Patra <nilesh@debian.org>  Thu, 27 Jan 2022 00:25:09 +0530

r-cran-spacetime (1.2-5+dfsg-2) unstable; urgency=medium

  * Disable reprotest
  * gstat is available now so do full test suite
  * Test-Depends: r-cran-mapdata

 -- Andreas Tille <tille@debian.org>  Wed, 15 Sep 2021 08:32:06 +0200

r-cran-spacetime (1.2-5+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Ignore tests requiring r-cran-gstat which needs to pass new first
    but make autopkgtest fail once r-cran-gstat is accepted

 -- Andreas Tille <tille@debian.org>  Fri, 20 Aug 2021 10:04:54 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                r-cran-zoo,
                r-cran-xts,
                r-cran-intervals
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spacetime
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spacetime.git
 Homepage: https://cran.r-project.org/package=spacetime

## r-cran-spacetime 1.2-8+dfsg

=== debian/changelog ===
r-cran-spacetime (1.2-8+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 13 Jul 2022 11:42:41 +0200

r-cran-spacetime (1.2-7+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 08 Jun 2022 15:36:20 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                r-cran-zoo,
                r-cran-xts,
                r-cran-intervals
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spacetime
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spacetime.git
 Homepage: https://cran.r-project.org/package=spacetime

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-raster,
         r-cran-maps,
         r-cran-maptools,
         r-cran-plm,
         r-cran-rgdal,
         r-cran-spdata,
         r-cran-gstat,
         r-cran-mapdata
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cloud.r-project.org/src/contrib/spacetime_([-\d.]*)\.tar\.gz

## r-cran-spacetime 1.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: spacetime
-Version: 1.2-8
+Version: 1.3-3
 Title: Classes and Methods for Spatio-Temporal Data
 Authors@R: c(person("Edzer",  "Pebesma", role = c("aut", "cre"), email = "edzer.pebesma@uni-muenster.de", comment = c(ORCID = "0000-0001-8049-7069")),
 	person("Benedikt", "Graeler", role = "ctb"),
@@ -8,10 +8,9 @@
 Depends: R (>= 3.0.0)
 Imports: graphics, utils, stats, methods, lattice, sp (>= 1.1-0), zoo
         (>= 1.7-9), xts (>= 0.8-8), intervals
-Suggests: adehabitatLT, cshapes (>= 2.0), foreign, gstat (>= 1.0-16),
-        maps, mapdata, maptools, plm, raster, RColorBrewer, rgdal,
-        rgeos, rmarkdown, RPostgreSQL, knitr, googleVis, ISOcodes,
-        markdown, sf, sftime
+Suggests: adehabitatLT, cshapes (>= 2.0), foreign, googleVis, gstat (>=
+        1.0-16), maps, mapdata, plm, raster, RColorBrewer, rmarkdown,
+        RPostgreSQL, knitr, ISOcodes, markdown, sf, sftime, spdep
 LazyData: no
 Description: Classes and methods for spatio-temporal data, including space-time regular lattices, sparse lattices, irregular data, and trajectories; utility functions for plotting data as map sequences (lattice or animation) or multiple time series; methods for spatial and temporal selection and subsetting, as well as for spatial/temporal/spatio-temporal matching or aggregation, retrieving coordinates, print, summary, etc.
 License: GPL (>= 2)
@@ -26,11 +25,11 @@
         over.R aggregate.R eof.R mnf.R bind.R na.R raster.R tgrass.R
         stinteraction.R
 NeedsCompilation: no
-Packaged: 2022-06-15 09:51:14 UTC; edzer
+Packaged: 2025-02-13 15:47:01 UTC; edzer
 Author: Edzer Pebesma [aut, cre] (<https://orcid.org/0000-0001-8049-7069>),
   Benedikt Graeler [ctb],
   Tom Gottfried [ctb],
   Robert J. Hijmans [ctb]
 Maintainer: Edzer Pebesma <edzer.pebesma@uni-muenster.de>
 Repository: CRAN
-Date/Publication: 2022-06-17 23:50:06 UTC
+Date/Publication: 2025-02-13 16:30:02 UTC

## r-cran-spacetime 1.3-0+dfsg

=== debian/changelog ===
r-cran-spacetime (1.3-0+dfsg-2) unstable; urgency=medium

  * Update Test-Depends
    Closes: #1050534

 -- Andreas Tille <tille@debian.org>  Mon, 28 Aug 2023 13:56:07 +0200

r-cran-spacetime (1.3-0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 27 Jun 2023 15:34:39 +0200

## r-cran-spacetime 1.3-1

=== debian/changelog ===
r-cran-spacetime (1.3-1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jan 2024 09:32:34 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                r-cran-zoo,
                r-cran-xts,
                r-cran-intervals
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spacetime
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spacetime.git
 Homepage: https://cran.r-project.org/package=spacetime

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-foreign,
        r-cran-gstat (>= 1.0-16),
        r-cran-maps,
        r-cran-mapdata,
        r-cran-plm,
        r-cran-raster,
        r-cran-rcolorbrewer,
        r-cran-rmarkdown,
        r-cran-rpostgresql,
        r-cran-knitr,
        r-cran-googlevis,
        r-cran-isocodes,
        r-cran-markdown,
        r-cran-sf,
        r-cran-sftime
Restrictions: allow-stderr

## r-cran-spacetime 1.3-2

=== debian/changelog ===
r-cran-spacetime (1.3-2-2) unstable; urgency=medium

  * Team upload.
  * Added r-cran-tibble to the suggests to fix tests/stconstruct.R.
    Closes: #1087240

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 23 Jan 2025 09:44:51 +0100

r-cran-spacetime (1.3-2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Tue, 01 Oct 2024 08:44:29 +0900

=== debian/tests/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
         r-cran-rmarkdown,
         r-cran-rpostgresql,
         r-cran-knitr,
-        r-cran-googlevis,
         r-cran-isocodes,
         r-cran-markdown,
         r-cran-sf,
-        r-cran-sftime
+        r-cran-sftime,
+        r-cran-tibble
 Restrictions: allow-stderr

## r-cran-spacetime 1.3-3

=== debian/changelog ===
r-cran-spacetime (1.3-3-2) unstable; urgency=medium

  * d/watch: version=5
  * d/tests/control: Do not test on architecture s390x
    Closes: #1112007
  * Standards-Version: 4.7.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 15 Oct 2025 16:59:31 +0200

r-cran-spacetime (1.3-3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Wed, 19 Feb 2025 09:36:09 +0900

=== debian/control ===
Source: r-cran-spacetime
Standards-Version: 4.7.2
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-lattice,
 r-cran-sp,
 r-cran-zoo,
 r-cran-xts,
 r-cran-intervals,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spacetime
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spacetime.git
Homepage: https://cran.r-project.org/package=spacetime
Rules-Requires-Root: no

Package: r-cran-spacetime
Architecture: all
Depends:
 ${R:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R classes and methods for spatio-temporal data
 Classes and methods for spatio-temporal data, including space-time
 regular lattices, sparse lattices, irregular data, and trajectories;
 utility functions for plotting data as map sequences (lattice or
 animation) or multiple time series; methods for spatial and temporal
 selection and subsetting, as well as for spatial/temporal/spatio-
 temporal matching or aggregation, retrieving coordinates, print,
 summary, etc.

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Tests: run-unit-test
 Depends: @,
          r-cran-foreign,
+        r-cran-googlevis,
         r-cran-gstat (>= 1.0-16),
         r-cran-maps,
         r-cran-mapdata,
@@ -14,5 +15,6 @@
         r-cran-markdown,
         r-cran-sf,
         r-cran-sftime,
-        r-cran-tibble
+        r-cran-spdep
 Restrictions: allow-stderr
+Architecture: !s390x

=== debian/watch ===
Version: 5

Source: https://cloud.r-project.org/src/contrib
Matching-Pattern: spacetime_@ANY_VERSION@@ARCHIVE_EXT@
Repack-Suffix: +dfsg
Dversion-Mangle: auto
